
jQuery(document).ready( function($){
	var settings = [
		// WordPress Custom Background 
		{
			setting: 'background_color',
			callback: function(to){
				theme_change_style('body', 'background-color', to, '!important');
			}
		},
		{
			setting: 'background_image',
			callback: function(to){
				theme_queue_style('body', 'background-image', 'url('+to+')', '!important');
				theme_queue_style('body', 'background-repeat', wp.customize('background_repeat').get(), '!important');
				theme_queue_style('body', 'background-position', 'top '+wp.customize('background_position_x').get(), '!important');
				theme_queue_style('body', 'background-attachment', wp.customize('background_attachment').get(), '!important');
				theme_update_css();
			}
		},
		{
			setting: 'background_repeat',
			callback: function(to){
				theme_change_style('body', 'background-repeat', to, '!important');
			}
		},
		{
			setting: 'background_position_x',
			callback: function(to){
				theme_change_style('body', 'background-position', 'top '+to, '!important');
			}
		},
		{
			setting: 'background_attachment',
			callback: function(to){
				theme_change_style('body', 'background-attachment', to, '!important');
			}
		},
		// Site title & tagline
		{
			setting: 'blogname',
			callback: function(to){
				$('#custom-logo h1 a').text(to);
			}
		},
		{
			setting: 'blogdescription',
			callback: function(to){
				$('#custom-logo p').text(to);
			}
		},
		// CSS Options
		{
			setting: theme_prefix+'body_font',
			callback: function(to){
				theme_change_font_family('body', to, '!important');
			}
		},
		{
			setting: theme_prefix+'headline_font',
			callback: function(to){
				theme_queue_font_family('h1, h2, h3, h4, h5, h6', to, '!important');
				theme_queue_style('h1, h2, h3, h4, h5, h6', 'line-height', '1.2', '');
				theme_update_css();
			}
		},
		{
			setting: theme_prefix+'font_size',
			callback: function(to){
				var size = '0.75em';
				if ( to == 'medium' )
					size = '0.785em';
				else if ( to == 'bigger' )
					size = '0.85em';
				else if ( to == 'largest' )
					size = '1em';
				theme_queue_style('#wrapper, #footer', 'font-size', size, '');
				theme_queue_style('#wrapper, #footer', 'line-height', '1.6em', '!important');
				theme_update_css();
			}
		},
		// Featured Options
		{
			setting: theme_prefix+'home_featured_bg_color',
			callback: function(to){
				theme_change_style('div#feat-content', 'background', to, '');
			}
		},
		{
			setting: theme_prefix+'home_featured_link_color',
			callback: function(to){
				theme_change_style('div#feat-content a', 'color', to, '');
			}
		},
		{
			setting: theme_prefix+'home_featured_border_color',
			callback: function(to){
				theme_change_style('div.feat-post .feat-tag, div#feat-content ul.more-article li', 'border-bottom', '1px solid '+to, '');
			}
		},
		{
			setting: theme_prefix+'image_height',
			callback: function(to){
				theme_change_style('.custom-img-header', 'height', to+'px', '!important');
			}
		},
		{
			setting: theme_prefix+'custom_style',
			callback: function(to){
				if ( $('link#preset-style-css').size() > 0 ){
					if ( to == 'default.css' )
						$('link#preset-style-css').remove();
					else
						$('link#preset-style-css').attr('href', theme_url+'/_inc/preset-styles/'+to);
				}
				else {
					$('html').append('<link href="'+theme_url+'/_inc/preset-styles/'+to+'" rel="stylesheet" id="preset-style-css" />');
				}
			}
		},
		// Welcome message options
		{
			setting: theme_prefix+'call_signup_on',
			callback: function(to){
				if ( to )
					$('#call-action').hide();
				else
					$('#call-action').show();
			}
		},
		{
			setting: theme_prefix+'call_signup_text',
			callback: function(to){
				$('#call-action p').html(to);
			}
		},
		{
			setting: theme_prefix+'call_signup_button_link',
			callback: function(to){
				$('#call-action .bpc-button a').attr('href', to);
			}
		},
		{
			setting: theme_prefix+'call_signup_button_text',
			callback: function(to){
				$('#call-action .bpc-button a').text(to);
			}
		}
	];
	theme_bind_customize( settings );
	
	if ( wp.customize(theme_prefix+'call_signup_on').get() )
		$('#call-action').hide();
	
} );